Try ERPNext Buy Support Partners Foundation

Which is correct "bench" installer?

Is this the one to use …

sudo pip3 install frappe-bench # Get from pypi.org

… or is this preferred …

git clone https://github.com/frappe/bench bench-repo;
sudo pip3 install -e bench-repo;

… ???

They both seem to be v5.1.0, so does it make any difference?

Or am I looking at two different things while thinking they are the same?

Great! You have confirmed what I suspected, but wanted to be sure.